<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("tit" . "le" => base64_decode("dGl0bGU" . "="), "_6e38cb9e" . "043a07cd6" . "9a1711a67" . "04c62a" => base64_decode("cGFyZW50X2" . "lk"), "_b2f5a100451164" . "396178c16d2a5c6" . "899" => base64_decode("cHJld" . "l90aX" . "RsZQ=" . "="), "_a5e22fe41a6" . "e4288b56df78" . "f2f278f8f" => base64_decode("cHJldl9wYXJlbn" . "RfaWQ="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b2f5a100451164396178c1" . "6d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["tit" . "le"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a5e22fe41a6e" . "4288b56df78f2" . "f278f8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_6e38cb9e043a07" . "cd69a1711a6704c" . "62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}